﻿Type=Service
Version=1.70
StartAtBoot=False
@EndOfDesignText@
'Service module
Sub Process_Globals
	Dim lwm As LWManager
	 
	Dim initialized As Boolean: initialized = False
	 
 
	 
	 
 	Dim rec2 As Rect   '  
	Dim bmpred As Bitmap ' mountains
	
	
	Dim rec3 As Rect   '  
	Dim bmpbs As Bitmap ' ground
		
		
		
	Dim reclune As Rect ' Rec Moon
	Dim lune As Bitmap  ' Moon PIC
	 
	
	' back ray
	Dim ray As Bitmap
	Dim rayrec As Rect
	
	
	
	Dim reccls As Rect  ' Screen Clear Rectangle
	Dim co,yy2 As Int
	
	Dim cloud(30) As Bitmap ' clouds number as bitmap pic
	Dim rc(30) As Rect      ' store clouds on rectangle
	Dim clspeed(30) As Int  ' clouds speeds 
	Dim cloudx(30) As Int   ' cloudx 
	Dim cloudy(30) As Int   ' cloudy /// positions
	
	
	' Ok lets store animated Bamiga Sector 1 animated ground to the list
	Dim anim As List
	Dim animindex As Int
	animindex=0
	
	
	
	' TXT ...
	Dim txt As String
	txt="BASIC 4 ANDROID"
	Dim txpos,typos As Int
	txpos=0:typos=440
	Dim counter As Float   ' for sin calculation
	counter=0
	
End Sub
Sub Service_Create
	lwm.Initialize("lwm", True)
 
	lwm.StartTicking(5) 'Start the wallpaper timer (refresh every 5 milliseconds).
	 
	 rayrec.Initialize(-100,150,640,650)        ' x = -100 , back
	 ray.Initialize(File.DirAssets,"fond.jpg")  ' Background picture  ... layer 0
	 
 
	
	
	 rec3.Initialize(0,540,640,700) ' Layer 2 Ok    
	 bmpbs.Initialize(File.DirAssets,"bs0.png")   ' BAmiga sector 1 animated ground..
	  
	 rec2.Initialize(-100,510,640,146)  ' 640*146  ... 510+146=656.... y2=y+146
	 bmpred.Initialize(File.DirAssets,"montagnes_01.png") 
	  
	
	
	
	reclune.Initialize(300,200,406,306)      ' Moon rec
	lune.Initialize(File.DirAssets,"lune.png") ' moon ....
		 
		  
		 
		 For i=0 To cloud.Length-1
		 cloudx(i)=Rnd(0,480)
		 cloudy(i)=90+Rnd(0,300)
		 rc(i).Initialize(cloudx(i),cloudy(i),244,292)
		 cloud(i).Initialize(File.DirAssets,"CL02.png")
		 clspeed(i)=Rnd(1,6)
		  Next
		 
		 ' And initialize anim list emty
		 anim.Initialize
		 ' store boring 51 pics to the list .... all work to show how to anim gifs :)
		 anim.AddAll(Array As String("bs0.png", "bs1.png", "bs2.png", "bs3.png", "bs4.png", "bs5.png", _
		 "bs6.png", "bs7.png", "bs8.png", "bs9.png", "bs10.png", "bs11.png", "bs12.png", "bs13.png", _
		 "bs14.png", "bs15.png", "bs16.png", "bs17.png", "bs18.png", "bs19.png", "bs20.png", "bs21.png", _ 
		 "bs22.png", "bs23.png", "bs24.png", "bs25.png", "bs26.png", "bs27.png", "bs28.png", "bs29.png", _
		 "bs30.png", "bs31.png", "bs32.png", "bs33.png", "bs34.png", "bs35.png", "bs36.png", "bs37.png", _
		 "bs38.png", "bs39.png", "bs40.png", "bs41.png", "bs42.png", "bs43.png", "bs44.png", "bs45.png", _ 
		 "bs46.png", "bs47.png", "bs48.png", "bs49.png", "bs50.png", "bs51.png"))
		 
		 
		 
		 ' Clearscreen Rectangle ........
		 reccls.Initialize(0,0,480,860)
		 
 
		 yy2=0
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub

Sub lwm_SizeChanged (Engine As LWEngine)
	'Wallpaper size changed.
	If initialized = False Then
		initialized = True
		x = Engine.ScreenWidth / 2
		y = Engine.ScreenHeight / 2
	End If
	
	DrawBackground (Engine)
End Sub
Sub DrawBackground (Engine As LWEngine)
	 
	Engine.RefreshAll
End Sub
Sub lwm_VisibilityChanged (Engine As LWEngine, Visible As Boolean)
	If Visible Then
		DrawBackground (Engine)
	
	End If
End Sub
Sub lwm_Tick (Engine As LWEngine)
	
	Engine.Canvas.DrawRect(reccls,Colors.Black,True,5dip)  ' Clear screen every frame
	
	 
	
	' back ray layer 0
	rayrec.Initialize(-100+co/6,150,640+co/6,650)
	engine.Canvas.DrawBitmap(ray,Null,rayrec)
	
	
		
	' lune moon
	reclune.Initialize(300+co/4,200,406+co/4,306) 'layer 1
	engine.Canvas.DrawBitmap(lune,Null,reclune)
	
	
	
    ' Let s show animated ground...... 
	bmpbs.Initialize(File.DirAssets,anim.Get(animindex))
	Engine.Canvas.DrawBitmap(bmpbs,Null,rec3) ' ground...
	 
	animindex=animindex+1      ' increase anim index to show picname+1 
	If animindex>51 Then animindex=0 ' block animindex at 51 coze we have 0+51=52 pics 
	
	
	
	Engine.Canvas.DrawBitmap(bmpred,Null,rec2) ' layer 3 mountains....
	rec2.Initialize(-100+co/3,360,640+co/3,590) '    
	
	
	
	' clouds
	
	For i=0 To cloud.Length-1
	engine.Canvas.DrawBitmap(cloud(i),Null,rc(i))
	rc(i).Initialize(cloudx(i),cloudy(i),244+cloudx(i),360)
	cloudx(i)=cloudx(i)+clspeed(i)
	If cloudx(i)>550 Then cloudx(i)=-250
	Next
	 
	
	'  DRAWING TEXT....
	
	Engine.Canvas.DrawTextRotated(txt,100+txpos+co,typos+90*Sin(counter),Typeface.DEFAULT_BOLD,32,Colors.Red,"LEFT",0)
	counter=counter+.2
	If counter>6 Then counter=0
	
	
	
	Engine.RefreshAll	
End Sub

Sub lwm_Touch (Engine As LWEngine, Action As Int, tx As Float, ty As Float)
	 
	Engine.RefreshAll
End Sub

Sub lwm_OffsetChanged (Engine As LWEngine)
	x=engine.CurrentOffsetX
	co=x/5-120             ' Co= Coefficient...de déplacement écran en X ... x displacement of screen
	' Log(x)
End Sub
  

